Article ID: 6647, created on Aug 31, 2009, last review on May 10, 2014

  • Applies to:
  • Virtuozzo containers for Linux

Symptoms

During the'vzpkg create' command for creating OS cache for Fedora Core 11 OS EZ template the following error occured:

# vzpkg create cache fedora-core-11-x86_64
...
Transaction Check Error: file /usr/share/info/as.info.gz conflicts between attempted installs of binutils-2.19.51.0.14-1.fc11.x86_64 and binutils-2.19.51.0.2-17.fc11.i586
  file /usr/share/info/binutils.info.gz conflicts between attempted installs of binutils-2.19.51.0.14-1.fc11.x86_64 and binutils-2.19.51.0.2-17.fc11.i586
  file /usr/share/info/gprof.info.gz conflicts between attempted installs of binutils-2.19.51.0.14-1.fc11.x86_64 and binutils-2.19.51.0.2-17.fc11.i586
  file /usr/share/info/ld.info.gz conflicts between attempted installs of binutils-2.19.51.0.14-1.fc11.x86_64 and binutils-2.19.51.0.2-17.fc11.i586
  file /usr/share/locale/da/LC_MESSAGES/binutils.mo conflicts between attempted installs of binutils-2.19.51.0.14-1.fc11.x86_64 and binutils-2.19.51.0.2-17.fc11.i586
  file /usr/share/locale/es/LC_MESSAGES/bfd.mo conflicts between attempted installs of binutils-2.19.51.0.14-1.fc11.x86_64 and binutils-2.19.51.0.2-17.fc11.i586
  file /usr/share/locale/es/LC_MESSAGES/binutils.mo conflicts between attempted installs of binutils-2.19.51.0.14-1.fc11.x86_64 and binutils-2.19.51.0.2-17.fc11.i586
  file /usr/share/locale/es/LC_MESSAGES/gas.mo conflicts between attempted installs of binutils-2.19.51.0.14-1.fc11.x86_64 and binutils-2.19.51.0.2-17.fc11.i586
  file /usr/share/locale/es/LC_MESSAGES/gprof.mo conflicts between attempted installs of binutils-2.19.51.0.14-1.fc11.x86_64 and binutils-2.19.51.0.2-17.fc11.i586
  file /usr/share/locale/es/LC_MESSAGES/ld.mo conflicts between attempted installs of binutils-2.19.51.0.14-1.fc11.x86_64 and binutils-2.19.51.0.2-17.fc11.i586
  file /usr/share/locale/es/LC_MESSAGES/opcodes.mo conflicts between attempted installs of binutils-2.19.51.0.14-1.fc11.x86_64 and binutils-2.19.51.0.2-17.fc11.i586
  file /usr/share/locale/fi/LC_MESSAGES/opcodes.mo conflicts between attempted installs of binutils-2.19.51.0.14-1.fc11.x86_64 and binutils-2.19.51.0.2-17.fc11.i586
  file /usr/share/locale/id/LC_MESSAGES/bfd.mo conflicts between attempted installs of binutils-2.19.51.0.14-1.fc11.x86_64 and binutils-2.19.51.0.2-17.fc11.i586
  file /usr/share/locale/id/LC_MESSAGES/binutils.mo conflicts between attempted installs of binutils-2.19.51.0.14-1.fc11.x86_64 and binutils-2.19.51.0.2-17.fc11.i586
  file /usr/share/locale/id/LC_MESSAGES/gas.mo conflicts between attempted installs of binutils-2.19.51.0.14-1.fc11.x86_64 and binutils-2.19.51.0.2-17.fc11.i586
  file /usr/share/locale/id/LC_MESSAGES/gprof.mo conflicts between attempted installs of binutils-2.19.51.0.14-1.fc11.x86_64 and binutils-2.19.51.0.2-17.fc11.i586
  file /usr/share/locale/id/LC_MESSAGES/ld.mo conflicts between attempted installs of binutils-2.19.51.0.14-1.fc11.x86_64 and binutils-2.19.51.0.2-17.fc11.i586
  file /usr/share/locale/id/LC_MESSAGES/opcodes.mo conflicts between attempted installs of binutils-2.19.51.0.14-1.fc11.x86_64 and binutils-2.19.51.0.2-17.fc11.i586
  file /usr/share/locale/nl/LC_MESSAGES/opcodes.mo conflicts between attempted installs of binutils-2.19.51.0.14-1.fc11.x86_64 and binutils-2.19.51.0.2-17.fc11.i586
  file /usr/share/locale/sk/LC_MESSAGES/binutils.mo conflicts between attempted installs of binutils-2.19.51.0.14-1.fc11.x86_64 and binutils-2.19.51.0.2-17.fc11.i586
  file /usr/share/locale/vi/LC_MESSAGES/binutils.mo conflicts between attempted installs of binutils-2.19.51.0.14-1.fc11.x86_64 and binutils-2.19.51.0.2-17.fc11.i586
  file /usr/share/man/man1/addr2line.1.gz conflicts between attempted installs of binutils-2.19.51.0.14-1.fc11.x86_64 and binutils-2.19.51.0.2-17.fc11.i586
  file /usr/share/man/man1/ar.1.gz conflicts between attempted installs of binutils-2.19.51.0.14-1.fc11.x86_64 and binutils-2.19.51.0.2-17.fc11.i586
  file /usr/share/man/man1/as.1.gz conflicts between attempted installs of binutils-2.19.51.0.14-1.fc11.x86_64 and binutils-2.19.51.0.2-17.fc11.i586
  file /usr/share/man/man1/c++filt.1.gz conflicts between attempted installs of binutils-2.19.51.0.14-1.fc11.x86_64 and binutils-2.19.51.0.2-17.fc11.i586
  file /usr/share/man/man1/gprof.1.gz conflicts between attempted installs of binutils-2.19.51.0.14-1.fc11.x86_64 and binutils-2.19.51.0.2-17.fc11.i586
  file /usr/share/man/man1/ld.1.gz conflicts between attempted installs of binutils-2.19.51.0.14-1.fc11.x86_64 and binutils-2.19.51.0.2-17.fc11.i586
  file /usr/share/man/man1/nm.1.gz conflicts between attempted installs of binutils-2.19.51.0.14-1.fc11.x86_64 and binutils-2.19.51.0.2-17.fc11.i586
  file /usr/share/man/man1/objcopy.1.gz conflicts between attempted installs of binutils-2.19.51.0.14-1.fc11.x86_64 and binutils-2.19.51.0.2-17.fc11.i586
  file /usr/share/man/man1/objdump.1.gz conflicts between attempted installs of binutils-2.19.51.0.14-1.fc11.x86_64 and binutils-2.19.51.0.2-17.fc11.i586
  file /usr/share/man/man1/ranlib.1.gz conflicts between attempted installs of binutils-2.19.51.0.14-1.fc11.x86_64 and binutils-2.19.51.0.2-17.fc11.i586
  file /usr/share/man/man1/readelf.1.gz conflicts between attempted installs of binutils-2.19.51.0.14-1.fc11.x86_64 and binutils-2.19.51.0.2-17.fc11.i586
  file /usr/share/man/man1/size.1.gz conflicts between attempted installs of binutils-2.19.51.0.14-1.fc11.x86_64 and binutils-2.19.51.0.2-17.fc11.i586
  file /usr/share/man/man1/strings.1.gz conflicts between attempted installs of binutils-2.19.51.0.14-1.fc11.x86_64 and binutils-2.19.51.0.2-17.fc11.i586
  file /usr/share/man/man1/strip.1.gz conflicts between attempted installs of binutils-2.19.51.0.14-1.fc11.x86_64 and binutils-2.19.51.0.2-17.fc11.i586
  file /usr/share/man/man1/windmc.1.gz conflicts between attempted installs of binutils-2.19.51.0.14-1.fc11.x86_64 and binutils-2.19.51.0.2-17.fc11.i586
Error: /usr/share/vzyum/bin/yum failed, exitcode=1

Cause

This is a problem of Fedora Core 11 repository: it contains different versions of packages for 64-bit and 32-bit architectures:

> Transaction Check Error: file /usr/share/info/as.info.gz conflicts between attempted installs of
> binutils-2.19.51.0.14-1.fc11.x86_64 and binutils-2.19.51.0.2-17.fc11.i586

Thus the newest version of binutils 32bit - 2.19.51.0.2-17
Thus the newest version of binutils 64bit - 2.19.51.0.14-1

'rpm' does not 'like' (e.g. refuses) installation of such packages.

This is not a "Parallels Virtuozzo Containers" issue, if you take, say, an old Fedora node and execute "yum update" - it will fail with the same errors.

Resolution

How to workaround:
Create a local repository and remove new packages which does not exist for both architectures. You will get not the latest system, but it will work.

e8e50b42231236b82df27684e7ec0beb d02f9caf3e11b191a38179103495106f 2897d76d56d2010f4e3a28f864d69223

Email subscription for changes to this article
Save as PDF